summaryrefslogtreecommitdiffstats
path: root/source/n/metamail/metamail.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/metamail/metamail.SlackBuild')
-rwxr-xr-xsource/n/metamail/metamail.SlackBuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/source/n/metamail/metamail.SlackBuild b/source/n/metamail/metamail.SlackBuild
index 5003ff4c2..96cac1bc6 100755
--- a/source/n/metamail/metamail.SlackBuild
+++ b/source/n/metamail/metamail.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2009, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2009, 2018, 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=metamail
VERSION=2.7
-BUILD=${BUILD:-9}
+BUILD=${BUILD:-11}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -80,6 +80,7 @@ cd metamail-$VERSION || exit 1
xz -dc $CWD/metamail_2.7-54.diff.xz | patch -p1 || exit 1
xz -dc $CWD/metamail.automake.diff.xz | patch -p1 || exit 1
zcat $CWD/metamail.uue.getline.diff.gz | patch -p1 || exit 1
+cat $CWD/metamail.gcc14.diff | patch -p1 || exit 1
chmod 755 configure
@@ -90,7 +91,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS" \
+# Fix misnamed man page:
+mv man/mmencode.1 man/mimencode.1
+
+CFLAGS="$SLKCFLAGS -Wno-error=implicit-int" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -110,7 +114,7 @@ CFLAGS="$SLKCFLAGS" \
mv m.c mailto.c
)
-make $NUMJOBS || make || exit 1
+CFLAGS="$SLKCFLAGS -Wno-error=implicit-int" make $NUMJOBS || make || exit 1
( cd bin
cat mailto-hebrew | perl -pi -e 's|/usr/lib/X11/fonts/misc|/usr/share/metamail/fonts|' > mh